EZ Cart IV bricked by 1.77

Discussion in 'GBA - Hardware, Devices and Utilities' started by Jesse_Dylan, Sep 20, 2015.

  1. Jesse_Dylan
    OP

    Jesse_Dylan Newbie

    Newcomer
    4
    0
    Sep 20, 2015
    United States
    I flashed to 1.77, and now my cart just gives me this weird "please discribe" screen, and then the screen "melts".

    Then nothing.

    I have tried flashing back to whatever the earliest one is available on the page, 1.75 or something. Tried formatting my SD.

    Nothing. Just shows that stupid message and melting screen.

    Any ideas? I have no idea what my firmware or whatever was before I tried updating to 1.77, but it worked fine, and I wish I'd just left it.
     
  2. Jesse_Dylan
    OP

    Jesse_Dylan Newbie

    Newcomer
    4
    0
    Sep 20, 2015
    United States
    I managed to find 1.72 on the internet, went back to that, and it now works fine. WTF are they doing releasing new firmware the bricks the stupid thing? And not giving access to the previous firmware?
     
  3. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    As far as the EZ-Flash IV goes, if stuff is working fine, no point in updating.
    Everything works just fine on 1.72 for me, so the only benefit to updating to latest version is... nothing, aside from the satisfaction of feeling like you are all updated. Doesn't make anything work any better or fix anything that wasn't working before, as far as I'm concerned.

    They did fix a thing with using Chinese characters in file names, but... I doubt you used these anyway. And supposedly a glitch about writing 32MB games to NOR, but that's always worked fine for me.

    Improved compatibility? Improved saver? How? Everything works fine already :P

    I guess support for SDHC would be nice, but... I mean, with a 2GB you can already fit as many games as you would possibly want, and unless your EZ4 was one of the latter batches that came equipped with an SDHC-capable reader, it wouldn't really change anything. (Otherwise, people would have been able to update the original R4 cards to support SDHC, no? Or maybe stuff is different, idk.)
    Either that, or every EZ4 came with SDHC-capable reader, just they never made use of it until now :P

    They aren't gonna be releasing any new games with some kind of improved anti-piracy that doesn't work on EZ4, everything already works unless it requires special hardware in the cart, so :P

    Really odd how EZ-Flash team handles this, though, considering they have multiple different hardware revisions of the EZ4, some of them only work well with the newer firmware update, while older ones don't really work with the new firmware update, and they don't even give any way of knowing if yours is an older or a newer one, no warnings at all, etc. kind of a let down.
     
    Last edited by Ammako, Sep 21, 2015
  4. Localhorst86

    Localhorst86 GBAtemp Advanced Fan

    Member
    950
    486
    Jul 17, 2014
    Germany
    My Nintendo works for Dad
    The screen melting is the standard behavior when the ezflash iv can not detect an SD card. 1.75 introduced sdhc support, but it unfortunately break support for some non sdhc cards. from what youre describing, thisnis what happened to you. your sd card is simply not supported by > 1.75
     
    damianiw likes this.
  5. Jesse_Dylan
    OP

    Jesse_Dylan Newbie

    Newcomer
    4
    0
    Sep 20, 2015
    United States
    Ah ha!! Mystery solved. Yeah, I just have a cruddy, 128mb (ha) mini SD. mini SD are hard to find. I did look for a bigger one, but they were overpriced, and I can fit everything I want to play into 128MB roughly anyway.

    I guess that's what happened, was it was trying to read it as SDHC, and it is not SDHC. That explains it.

    I found a skin that I liked, which I updated with trepidation, and I think I'm on 1.74 now, or 1.73. Whatever it is, it doesn't matter, because everything is working. On 1.72, for some reason the writing to NOR or whatever it is was not working (I like to use that for games I'm playing so they load faster, and it's essential for Mother 3).

    And, whatever I'm on now, I'm not able to press start or whatever button it was to delete something, but oh well.. Everything was working totally fine before I ever updated! Everything is fine again now, with the exception of not being able to delete stuff, but I can live with that. I own most games I want to play on carts, but I like having this to play translated games on a real Game Boy Advance.

    Still can't believe they don't have a disclaimer on the new firmware or something. Oh well.
     
  6. Localhorst86

    Localhorst86 GBAtemp Advanced Fan

    Member
    950
    486
    Jul 17, 2014
    Germany
    My Nintendo works for Dad
    1.75 was mainly created with the EZ-Flash IV MicroSDHC in mind as non-sdhc cards in micro size are hard to come by. Mini SD not so much, as the mini format has long been virtually dead now.

    As for your issue with not being able to delete stuff from NOR: try a different GBA if you can. Had tee same issue on a AGB-001 model, but after being able to forms it in an AGS-001 GBA SP I was able to sue it on my Old GBA as well.
     
  7. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    Talking about erasing roms from NOR?
    Are you still able to flash a new rom on top of the existing one, replacing it with the new one? Or just unable to delete the NOR on its own?
    If you can still flash new stuff on top of the old stuff, isnt much of a problem :P but would be problematic if you get stuck with one game there, and you couldn't change it.
     
  8. damianiw

    damianiw Newbie

    Newcomer
    3
    1
    Aug 7, 2015
    Thanks for the melting tip - forgot about this and thought I'd bricked it - also loving the flat skin

    Keeping old mini sd as if I recall right you cannot flash from sdhc only sd ;-) I was on 1.76 and wanted to update to 1.77 so dug out the old mini sd - oddest sized sd card ;-)

    now to find the client software, is this the same for all cards ? mine's a 2006!